﻿Type=Service
Version=4.2
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim myJob As HttpJob
End Sub

Sub Service_Create
	'initalise the job and the parser for update the rates
	myJob.Initialize("rateHisto",Me)
End Sub

Sub Service_Start (StartingIntent As Intent)
	'load the xml file with the rates of currency in comparison of euro
'	myJob.Download("http://www.ecb.europa.eu/stats/eurofxref/eurofxref-hist.xml")
	myJob.Download("http://www.ecb.europa.eu/stats/exchange/eurofxref/html/" & Main.NameCur & ".xml")
End Sub

Sub Service_Destroy

End Sub

Sub JobDone (Job As HttpJob)
	'It's the callback who is executed when the Job is finish
	Log("JobName = " & Job.JobName & ", Success = " & Job.Success)
	If Job.Success = True Then
		Main.JobFile = Job.GetInputStream
		CallSub(Main, "parseHistoStart")
	End If
End Sub
